package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class CreditCardTest {

    @Test
    public void testSetGetId(){

        CreditCard card = new CreditCard();
        card.setId(34);
        Assert.assertEquals(34, card.getId());
    }

    @Test
    public void testSetGetName(){
        CreditCard card = new CreditCard();
        card.setPayerName("thulasi");
        Assert.assertEquals("thulasi", card.getPayerName());
    }

    @Test
    public void testSetGetNumber(){
        CreditCard card = new CreditCard();
        card.setNumber("3555363");
        Assert.assertEquals(555, card.getNumber());
    }

    @Test
    public void testSetGetExpiredMonth(){
        CreditCard card = new CreditCard();
        card.setExpiredMonth(3);
        Assert.assertEquals(3, card.getExpiredMonth());
    }

    @Test
    public void testSetGetExpiredYear(){
        CreditCard card = new CreditCard();
        card.setExpiredYear(2003);
        Assert.assertEquals(2003, card.getExpiredYear());
    }
}
