package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class PaymentSortByPayerTest {

    @Test
    public void testCompare1() {
        PaymentSortByPayer sorter = new PaymentSortByPayer();
        Payment p1 = new Check(165, "ajay", "3242", "5223");
        Payment p2 = new PayPal(56, "reshma", "hjhjghj@fdf.com");
        int expected = -1;
        Assert.assertEquals(expected, sorter.compare(p1, p2));
    }

    @Test
    public void testCompare2() {
        PaymentSortByPayer sorter = new PaymentSortByPayer();
        Payment p1 = new Check(165, "ramya", "3242", "5223");
        Payment p2 = new PayPal(56, "ramya", "hjhjghj@fdf.com");
        int expected = 0;
        Assert.assertEquals(expected, sorter.compare(p1, p2));
    }

    @Test
    public void testCompare3() {
        PaymentSortByPayer sorter = new PaymentSortByPayer();
        Payment p1 = new Check(165, "wright", "3242", "5223");
        Payment p2 = new PayPal(56, "reshma", "hjhjghj@fdf.com");
        int expected = 1;
        Assert.assertEquals(expected, sorter.compare(p1, p2));
    }
}